Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023094
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2013-02-18 10:102013-03-02 05:48
ReporterjecharriView Statuspublic 
Assigned Topramakrishnan 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision3e58e5cb67ef
ProjectionnoneETAnoneTarget Version3.0MP22
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023094: Problem in window 'Role'

DescriptionProblem in window 'Role'.

Steps To Reproduce-create a role
-create a record in tab "Org Access"
-Delete the record from tab "Org Access"

-Verify that now you can not edit this role. You can not do nothing:
+change the name
+change from disable to enable
+....
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056633)
pramakrishnan (developer)
2013-02-20 13:03

Test Plan:
1. Login as Openbravo/openbravo
2. Navigate to Role window
3. Create a role:
   "Organization": *
   "Name": Test
   "User Level": Client+Organization
4. Save the Record
5. Create Org Access:
   "Organization": F&B España - Región Norte
6. Save the record.
7. Delete the record that is just created in org access
8. Update Role
   "Name": Test1
9. Notice that the record gets updated without any errors.
(0056779)
hgbot (developer)
2013-02-26 16:34

Repository: erp/devel/pi
Changeset: 3e58e5cb67ef6d94a485c372a7c7e5f1017f93e6
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Feb 20 17:22:15 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3e58e5cb67ef6d94a485c372a7c7e5f1017f93e6 [^]

Fixes issue 23094: Problem in window 'Role'

---
M src-db/database/model/triggers/AD_ROLE_ORGACCESS_TRG.xml
---
(0056783)
Sandrahuguet (developer)
2013-02-26 16:38

Code review + testing OK
(0056915)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-02-18 10:10 jecharri New Issue
2013-02-18 10:10 jecharri Assigned To => dmiguelez
2013-02-18 10:10 jecharri Modules => Core
2013-02-18 10:10 jecharri Triggers an Emergency Pack => No
2013-02-19 12:04 pramakrishnan Assigned To dmiguelez => pramakrishnan
2013-02-19 12:04 pramakrishnan Status new => scheduled
2013-02-19 12:04 pramakrishnan fix_in_branch => pi
2013-02-20 13:03 pramakrishnan Note Added: 0056633
2013-02-26 16:34 hgbot Checkin
2013-02-26 16:34 hgbot Note Added: 0056779
2013-02-26 16:34 hgbot Status scheduled => resolved
2013-02-26 16:34 hgbot Resolution open => fixed
2013-02-26 16:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3e58e5cb67ef6d94a485c372a7c7e5f1017f93e6 [^]
2013-02-26 16:38 Sandrahuguet Review Assigned To => Sandrahuguet
2013-02-26 16:38 Sandrahuguet Note Added: 0056783
2013-02-26 16:38 Sandrahuguet Status resolved => closed
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056915


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker